Bug 727716 - An error occurred during conversion seam text to html
An error occurred during conversion seam text to html
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: zanata-dev-internal
Ding-Yi Chen
Depends On:
Blocks: Zanata-1.4.3
  Show dependency treegraph
Reported: 2011-08-02 21:51 EDT by Manuel Ospina
Modified: 2015-11-09 19:10 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-04-23 00:33:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Manuel Ospina 2011-08-02 21:51:54 EDT
Description of problem:
When trying to edit a project, I go this error
An error occurred during conversion seam text to html

Version-Release number of selected component (if applicable): Zanata version 1.3 (20110509-2113). 

How reproducible:

Steps to Reproduce:
1. Go to https://translate.engineering.redhat.com//project/view/rhn_subscription_management&cid=22550
2. Click edit
Actual results:
Go to an error page

Expected results:
It should go to the project edit page

Additional info:
Comment 1 Sean Flanigan 2011-08-03 03:37:39 EDT
Thanks for the report Manuel. This is caused by a bug in Seam's richfaces library, which doesn't handle (eg) unmatched underscores in SeamText fields (which we use in our Project pages).  So if the content uses an odd number of underscores, it breaks the SeamText editor.

We'll have to go into the database and remove the offending text, as a workaround.

Zanata 1.4 will have an updated richfaces library which fixes the problem properly.
Comment 2 Sean Flanigan 2011-08-05 02:14:38 EDT
We've updated the offending database entries to remove the underscores as a temporary workaround.

NB: if you want to include a URL which uses underscore, you could try using the three characters "%5F" instead of underscore.
Comment 5 Carlos Munoz 2011-11-15 20:37:45 EST
Added an admin-only section to edit the home page content in plain text, bypassing the rich text editor which is causing the error.

Currently merged to the 1.5.x branch.
Comment 6 Carlos Munoz 2011-11-22 18:47:01 EST
Merged this upgrade into the 1.4.x branch.
Comment 7 Ding-Yi Chen 2011-11-28 22:23:39 EST
VERIFIED with Zanata version 1.4.3-alpha-3-SNAPSHOT (20111128-1320)

Note You need to log in before you can comment on or make changes to this bug.